<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use common\models\Feedback;
/* @var $this yii\web\View */
/* @var $searchModel common\models\FeedbackSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Feedbacks');
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="feedback-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a(Yii::t('app', 'Create Feedback'), ['create'], ['class' => 'btn btn-success']) ?>
    </p>
<?php Pjax::begin(); ?>    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'rowOptions'   => function (Feedback $model) {
            if ($model->status) {
                return [];
            } else {
                return [
                    'class' => 'success',
                ];
            }
        },
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'id',
            'name',
            'email:email',
            'phone',
            // 'message:ntext',
            // 'created_at',
            // 'ip',
            // 'url:url',
            // 'status:boolean',
             'date',
             'service',
             'time',

            [
                'class' => 'yii\grid\ActionColumn',
                'buttons'  => [
                    'viewed' => function (string $url, Feedback $model) {
                        if ($model->status) {
                            return Html::tag(
                                'span',
                                '',
                                [
                                    'class' => 'glyphicon glyphicon-ok',
                                ]
                            );
                        } else {
                            return Html::a(
                                Html::tag(
                                    'span',
                                    '',
                                    [
                                        'class' => 'glyphicon glyphicon-flag',
                                    ]
                                ),
                                $url,
                                [
                                    'class' => 'viewed-toggle',
                                ]
                            );
                        }
                    },
                ],
                'template' => '{viewed} {view} {update} {delete}',
            ],
        ],
    ]); ?>
<?php Pjax::end(); ?></div>
