<?php
    use yii\web\UrlManager;
    
    $homeLink = [];
    /**
     * @var UrlManager $urlManagerFrontend
     */
    if ($urlManagerFrontend = \Yii::$app->get('urlManagerFrontend', false)) {
        $homeLink = [
            [
                'label'    => \Yii::t('core', 'Мой сайт'),
                'url'      => $urlManagerFrontend->createUrl([ 'site/index' ]),
                'icon'     => 'home',
                'template' => '<a href="{url}" target="_blank">{icon}<span>{label}</span>{badge}</a>',
                'options'  => [
                    'class' => 'homepage_link',
                ],
            ],
        ];
    }
    return array_merge(
        $homeLink,
        [
            [
                'label'  => \Yii::t('core', 'Главная'),
                'url'    => [ '/site/index' ],
                'icon'   => ( \Yii::$app->controller->id === 'site' ) ? 'check' : 'undo',
                'active' => function () {
                    return \Yii::$app->controller->id === 'site';
                },
            ],
            [
                'label' => \Yii::t('core', 'Статические страницы'),
                'url'   => '#',
                'icon'  => 'file-text',
                'items' => [
                    [
                        'label' => \Yii::t('core', 'Страницы'),
                        'url'   => [ '/page/index' ],
                        'icon'  => 'file-text',
                    ],
                    [
                        'label' => \Yii::t('core', 'Категории'),
                        'url'   => [ '/page-category/index' ],
                        'icon'  => 'archive',
                    ],
                ],
            ],
            [
                'label' => \Yii::t('core', 'SEO'),
                'url'   => '#',
                'icon'  => 'leaf',
                'items' => [
                    [
                        'label' => \Yii::t('core', 'Seo страницы'),
                        'url'   => [ '/alias/index' ],
                        'icon'  => 'file-text',
                    ],
                    [
                        'label' => \Yii::t('core', 'Robots'),
                        'url'   => [ '/settings/robots' ],
                        'icon'  => 'android',
                    ],
                    [
                        'label' => \Yii::t('core', 'Коды'),
                        'url'   => [ '/settings/codes' ],
                        'icon'  => 'code',
                    ],
                    [
                        'label' => \Yii::t('core', 'Карта сайта'),
                        'url'   => [ '/sitemap/index' ],
                        'icon'  => 'map-signs',
                    ],
                ],
            ],
            [
                'label' => \Yii::t('core', 'Блог'),
                'url'   => '#',
                'icon'  => 'pencil',
                'items' => [
                    [
                        'label' => \Yii::t('blog', 'Статьи'),
                        'url'   => [ '/blog-article/index' ],
                        'icon'  => 'file-text',
                    ],
                    [
                        'label' => \Yii::t('blog', 'Категории'),
                        'url'   => [ '/blog-category/index' ],
                        'icon'  => 'list',
                    ],
                    [
                        'label' => \Yii::t('blog', 'Теги'),
                        'url'   => [ '/blog-tag/index' ],
                        'icon'  => 'code',
                    ],
                ],
            ],
            [
                'label' => \Yii::t('app', 'Персонал'),
                'url'   => [ 'persone/index' ],
                'icon'  => 'users',
            ],
            [
                'label' => \Yii::t('core', 'Менеджер изображений'),
                'url'   => [ '/imagemanager' ],
                'icon'  => 'image',
            ],
            [
                'label' => \Yii::t('artbox-comment', 'Комментарии'),
                'url'   => [ '/comment' ],
                'icon'  => 'comment',
            ],
            [
                'label' => \Yii::t('app', 'Галерея'),
                'url'   => [ 'site/gallery' ],
                'icon'  => 'camera',
            ],
        ]
    );