<?php
    
    use artbox\core\components\imagemanager\components\ImageManagerInputWidget;
    use artbox\core\widgets\LanguageForm;
    use common\models\Persone;
    use common\models\PersoneLang;
    use yii\helpers\Html;
    use yii\web\View;
    use yii\widgets\ActiveForm;
    
    /**
     * @var View        $this
     * @var Persone     $model
     * @var ActiveForm  $form
     * @var PersoneLang $modelLangs
     */

?>

<div class="persone-form">
    
    <?php $form = ActiveForm::begin(); ?>
    
    <?= LanguageForm::widget(
        [
            'modelLangs' => $modelLangs,
            'formView'   => '@backend/views/persone/_form_language',
            'form'       => $form,
        ]
    ) ?>
    
    <?= $form->field($model, 'image_id')
             ->widget(
                 ImageManagerInputWidget::className(),
                 [
                     'showPreview'                  => true,
                     'showDeletePickedImageConfirm' => false,
                 ]
             ); ?>
    
    <?= $form->field($model, 'facebook') ?>
    
    <?= $form->field($model, 'instagram') ?>
  
  <div class="form-group">
      <?= Html::submitButton(
          $model->isNewRecord ? Yii::t('app', 'Создать') : Yii::t('app', 'Обновить'),
          [ 'class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary' ]
      ) ?>
  </div>
    
    <?php ActiveForm::end(); ?>

</div>
