<?php
    /**
     * @var View     $this
     * @var Settings $model
     * @var Mail     $mail
     */
    
    use common\models\Mail;
    use common\models\Settings;
    use yii\bootstrap\ActiveForm;
    use yii\bootstrap\Html;
    use yii\bootstrap\Tabs;
    use yii\web\View;
    use yiister\gentelella\widgets\Panel;
    
    $this->title = \Yii::t('app', 'Settings');
    
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>

<?php $panel = Panel::begin(
    [
        'header' => $this->title,
    ]
); ?>

<div class="settings-form">
    
    <?php
        $form = ActiveForm::begin();
        
        echo Tabs::widget(
            [
                'options' => [
                    'class' => 'bar_tabs',
                ],
                'items'   => [
                    [
                        'label'   => \Yii::t('core', 'Главная'),
                        'content' => $this->render(
                            '_main_tab',
                            [
                                'model' => $model,
                                'form'  => $form,
                            ]
                        ),
                    ],
                    [
                        'label'   => \Yii::t('core', 'Контакты'),
                        'content' => $this->render(
                            '_contact_tab',
                            [
                                'model' => $model,
                                'form'  => $form,
                            ]
                        ),
                    ],
                    [
                        'label'   => \Yii::t('core', 'Социальные сети'),
                        'content' => $this->render(
                            '_social_tab',
                            [
                                'model' => $model,
                                'form'  => $form,
                            ]
                        ),
                    ],
                    [
                        'label'   => \Yii::t('core', 'Коды'),
                        'content' => $this->render(
                            '_codes_tab',
                            [
                                'model' => $model,
                                'form'  => $form,
                            ]
                        ),
                    ],
                    [
                        'label'   => \Yii::t('core', 'Email'),
                        'content' => $this->render(
                            '_mail_tab',
                            [
                                'form' => $form,
                                'mail' => $mail,
                            ]
                        ),
                    ],
                ],
            ]
        );
        
        echo Html::submitButton(
            'Сохранить',
            [
                'class' => 'btn btn-primary',
            ]
        );
        ActiveForm::end();
    ?>

</div>

<?php $panel::end(); ?>
