<?php
    
    /**
     * @var View $this
     */
    
    use backend\assets\AnalyticsAsset;
    use yii\bootstrap\Tabs;
    use yii\web\View;
    use yiister\gentelella\widgets\Panel;
    
    $this->title = \Yii::t('app', 'Artbox !');
    
    AnalyticsAsset::register($this);
?>
<div class="animated yt-loader"></div>

<div class="row">
  <div class="animated flipInY col-lg-3 col-md-3 col-sm-6 col-xs-12">
    <div class="tile-stats">
      <div class="icon"><i class="fa fa-clock-o"></i>
      </div>
      
      <div class="count" id="sessions">0</div>
      
      <h3><?=\Yii::t('app', 'Сессии')?></h3>
      <p><?=\Yii::t('app', '(подпись для сессий)')?></p>
    </div>
  </div>
  <div class="animated flipInY col-lg-3 col-md-3 col-sm-6 col-xs-12">
    <div class="tile-stats">
      <div class="icon"><i class="fa fa-user"></i>
      </div>
      
      <div class="count" id="users">0</div>
      
      <h3><?=\Yii::t('app', 'Пользователи')?></h3>
      <p><?=\Yii::t('app', '(подпись для пользователей)')?></p>
    </div>
  </div>
  <div class="animated flipInY col-lg-3 col-md-3 col-sm-6 col-xs-12">
    <div class="tile-stats">
      <div class="icon"><i class="fa fa-eye"></i>
      </div>
      
      <div class="count" id="views">0</div>
      
      <h3><?=\Yii::t('app', 'Просмотры страниц')?></h3>
      <p><?=\Yii::t('app', '(подпись для просмотра страниц)')?></p>
    </div>
  </div>
  <div class="animated flipInY col-lg-3 col-md-3 col-sm-6 col-xs-12">
    <div class="tile-stats">
      <div class="icon"><i class="fa fa-plus"></i>
      </div>
      
      <div class="count" id="newusers">0</div>
      
      <h3><?=\Yii::t('app', 'Новые сессии')?></h3>
      <p><?=\Yii::t('app', '(подпись для новых сессий)')?></p>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-md-12">
      <?php $panel = Panel::begin(
          [
              'header' => \Yii::t('app', 'Analytic'),
          ]
      ) ?>
    
    <div id="chartdiv" style="width: 100%;height: 500px"></div>
      
      <?php $panel::end(); ?>
  </div>
</div>

<div class="row">
  <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
      <?php $panel = Panel::begin(
          [
              'header' => \Yii::t('app', 'Pie chart'),
          ]
      ) ?>
    
    <div id="piediv" style="width: 100%;height: 475px"></div>
      
      <?php $panel::end(); ?>
  </div>
  
  <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12">
      
      <?php $panel = Panel::begin(
          [
              'header' => \Yii::t('app', 'Some stats'),
          ]
      ); ?>
      
      <?php
          echo Tabs::widget(
              [
                  'options' => [
                      'class' => 'bar_tabs',
                  ],
                  'items'   => [
                      [
                          'label'   => \Yii::t('app', 'Браузеры'),
                          'content' => '<div id="browsers"></div>',
                          'active'  => true,
                      ],
                      [
                          'label'   => \Yii::t('app', 'Города'),
                          'content' => '<div id="cities"></div>',
                      ],
                      [
                          'label'   => \Yii::t('app', 'Страны'),
                          'content' => '<div id="countries"></div>',
                      ],
                  ],
              ]
          );
      
      ?>
      
      <?php $panel::end(); ?>
  
  </div>
</div>
