<?php
    
    namespace common\models;
    
    use Yii;
    /**
     * Created by PhpStorm.
     * User: timur
     * Date: 09.11.17
     * Time: 14:50
     *
     * @property string $date
     * @property string $service
     * @property string $time
     *
     */
    class Feedback extends \artbox\core\models\Feedback
    {
        const SCENARIO_WRITE_US = "write_us";
        const SCENARIO_APPOINTMENT = "appointment";
        
        public function scenarios()
        {
            $scenarios = array_merge(
                parent::scenarios(),
                [
                    self::SCENARIO_APPOINTMENT => [
                        'name',
                        'phone',
                        'date',
                        'time',
                        'service',
                    ],
                    
                    self::SCENARIO_WRITE_US => [
                        'name',
                        'email',
                        'phone',
                        'message',
                    ],
                ]
            );
            
            return $scenarios;
        }
        
        public function rules()
        {
            return [
                [
                    [
                        'name',
                        'phone',
                        'date',
                    ],
                    'required',
                    'on' => self::SCENARIO_APPOINTMENT,
                ],
                [
                    [
                        'name',
                        'email',
                        'phone',
                    ],
                    'required',
                    'on' => self::SCENARIO_WRITE_US,
                ],
                [
                    [ 'email' ],
                    'email',
                ],
                [
                    [
                        'name',
                        'date',
                        'service',
                        'time',
                    ],
                    'string',
                    'max' => 55,
                ],
                [
                    [ 'phone' ],
                    'match',
                    'pattern' => '/^\+38\(\d{3}\)\d{3}-\d{2}-\d{2}$/',
                ],
                [
                    [ 'message' ],
                    'string',
                ],
                [
                    [ 'status', ],
                    'boolean',
                ],
            ];
        }
    
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'id'         => Yii::t('core', 'id'),
                'name'       => Yii::t('core', 'name'),
                'phone'      => Yii::t('core', 'phone'),
                'created_at' => Yii::t('core', 'created_at'),
                'ip'         => Yii::t('core', 'ip'),
                'url'        => Yii::t('core', 'url'),
                'status'     => Yii::t('core', 'status'),
                'message'    => Yii::t('core', 'message'),
                'email'      => Yii::t('core', 'email'),
                'service'    => Yii::t('core', 'service'),
                'date'       => Yii::t('core', 'date'),
                'time'       => Yii::t('core', 'time'),
            ];
        }
        
    }