<?php
    
    use yii\db\Migration;
    
    /**
     * Handles the creation of table `persone_lang`.
     */
    class m170928_141633_create_persone_lang_table extends Migration
    {
        /**
         * @inheritdoc
         */
        public function up()
        {
            $this->createTable(
                'persone_lang',
                [
                    'persone_id'  => $this->integer(),
                    'language_id' => $this->integer(),
                    'alias_id'    => $this->integer(),
                    'title'       => $this->string(),
                    'text'        => $this->text(),
                ]
            );
            
            $this->createIndex(
                'persone_ix',
                'persone_lang',
                [
                    'persone_id',
                    'language_id',
                ],
                true
            );
            
            $this->addForeignKey('persone_fk', 'persone_lang', 'persone_id', 'persone', 'id', 'CASCADE', 'CASCADE');
            
            $this->addForeignKey('lang_fk', 'persone_lang', 'language_id', 'language', 'id', 'CASCADE', 'CASCADE');
            
        }
        
        /**
         * @inheritdoc
         */
        public function down()
        {
            $this->dropForeignKey('lang_fk', 'persone_lang');
            
            $this->dropForeignKey('persone_fk', 'persone_lang');
            
            $this->dropTable('persone_lang');
        }
    }
