<?php
    
    use artbox\core\helpers\ImageHelper;
    use artbox\weblog\models\Article;
    use yii\helpers\Url;
    
    /**
     * @var Article $model
     */
?>

<section class="post">
  <h2><a href="<?= Url::to(
          [
              'blog/article',
              'alias' => $model->lang->alias,
          ]
      ) ?>"><?= $model->lang->title ?></a></h2>
  <div class="row">
    <div class="col-sm-6">
        <?php foreach ($model->categories as $category) { ?>
          <p class="author-category"><a href="<?= Url::to(
                  [
                      'blog/category',
                      'alias' => $category->lang->alias,
                  ]
              ) ?>"><?= $category->lang->title ?></a>
          </p>
        <?php } ?>
        
        <?php if (!empty($model->tags)) {
            ?>
          <div class="post-tags">
            <?php
            foreach ($model->tags as $tag) {
                ?>
              <p class="post-tag"><a href="<?= Url::to(
                      [
                          'blog/tag',
                          'alias' => $tag->lang->alias,
                      ]
                  ) ?>"><?= $tag->lang->label ?></a></p>
            <?php }
            ?></div><?php
        } ?>
    </div>
    <div class="col-sm-6">
      <p class="date-comments">
        <a href="<?= Url::to(
            [
                'blog/article',
                'alias' => $model->lang->alias,
            ]
        ) ?>"><i class="fa fa-calendar-o"></i><?= date('d M, Y', $model->created_at) ?></a>
        <a href="<?= Url::to(
            [
                'blog/article',
                'alias' => $model->lang->alias,
            ]
        ) ?>"><i class="fa fa-comment-o"></i> <?php
                $count = $model->getCommentsCount();
                if ($count) {
                    echo $count;
                } else {
                    echo '0';
                }
            ?> <?=\Yii::t('app', 'комментариев')?></a>
      </p>
    </div>
  </div>
  <div class="image">
    <a href="<?= Url::to(
        [
            'blog/article',
            'alias' => $model->lang->alias,
        ]
    ) ?>">
        <?= ImageHelper::set(
            ( empty($model->image) ? \Yii::getAlias('@frontend/web/img/no-image.png') : $model->image->getPath() )
        )
                       ->resize(600, 300)
                       ->renderImage(
                           [
                               'class' => 'img-responsive',
                               'alt'   => $model->lang->title,
                           ]
                       ) ?>
    </a>
  </div>
  <p class="intro"><?= \yii\helpers\StringHelper::truncate($model->lang->body_preview, 350) ?></p>
  <p class="read-more"><a href="<?= Url::to(
          [
              'blog/article',
              'alias' => $model->lang->alias,
          ]
      ) ?>" class="btn btn-template-main"><?=\Yii::t('app', 'Читать далее')?></a>
  </p>
</section>
