<?php
    
    use artbox\webcomment\widgets\CommentWidget;
    use artbox\weblog\models\Article;
    use frontend\widgets\BlogSidebar;
    use yii\helpers\Html;
    use yii\web\View;
    
    /**
     * @var View    $this
     * @var Article $model
     */
    
    $this->params[ 'breadcrumbs' ][] = [
        'url'   => [ 'blog/index' ],
        'label' => \Yii::t('app', 'Статьи'),
    ];
    
    $this->params[ 'breadcrumbs' ][] = $model->lang->title;
    
?>

<div id="content">
  <div class="container">
    
    <div class="row">
      
      <!-- *** LEFT COLUMN ***
_________________________________________________________ -->
      
      <div class="col-md-9" id="blog-post">
        
        
        <p class="text-muted text-uppercase mb-small text-right"><?php
                if (!empty($model->category)) {
                    echo Html::a(
                        $model->category->lang->title,
                        [
                            'blog/category',
                            'alias' => $model->category->lang->alias,
                        ]
                    );
                }
            ?> | <?= date(
                'd M, Y',
                $model->created_at
            ) ?></p>
        
        <div id="post-content" class="lead">
            
            <?= $model->lang->body ?>
        
        </div>
        <!-- /#post-content -->
        

          
          <?php
              echo CommentWidget::widget(
                  [
                      'model'        => $model,
                      'display_name' => 'name',
                      'reply'        => true,
                      'delete'       => false,
                      'more'         => [
                          'show_' => true,
                          'key'   => 2,
                      ],
                      'formView'     => '@frontend/views/comment/artbox_comment_form',
                      'listView'     => '@frontend/views/comment/artbox_comment_list',
                      'replyView'    => '@frontend/views/comment/artbox_comment_reply',
                      'itemView'     => '@frontend/views/comment/artbox_comment_item',
                  ]
              );
          ?>
      
      </div>
      <!-- /#blog-post -->
      
      <!-- *** LEFT COLUMN END *** -->
        
        <?= BlogSidebar::widget([
            'viewParams' => $this->params,
        ]); ?>
    
    </div>
    <!-- /.row -->
  
  </div>
  <!-- /.container -->
</div>
<!-- /#content -->
          