<?php
    use artbox\webcomment\models\CommentModel;
    use artbox\webcomment\models\RatingModel;
    use yii\base\Model;
    use yii\helpers\Html;
    use yii\helpers\Url;
    use yii\web\View;
    use yii\widgets\ActiveForm;
    
    /**
     * @var CommentModel     $comment_model
     * @var array            $form_params
     * @var Model            $model
     * @var string           $formId
     * @var View             $this
     * @var RatingModel|NULL $rating_model
     */
    $form = ActiveForm::begin(
        [
            'id'     => $formId,
            'action' => Url::to(
                [
                    'artbox-comment/default/create',
                    'entity' => $comment_model->encryptedEntity,
                ]
            ),
        ]
    );
?>
  <div class="form-comm-wr">
      <h4 class="text-uppercase"><?=\Yii::t('app', 'Оставить комментарий')?></h4>
      <?php
          if (!empty($rating_model)) {
              ?>
            <div class="input_bl stars-wr_">
                <?php
                    echo $form->field($rating_model, 'value', [ 'enableClientValidation' => false ])
                              ->hiddenInput()
                              ->label(false);
                    echo Html::tag(
                        'div',
                        '',
                        [
                            'class'                  => 'rateit',
                            'data-rateit-backingfld' => '#' . Html::getInputId($rating_model, 'value'),
                        ]
                    );
                ?>
            </div>
              <?php
          }
          if (\Yii::$app->user->isGuest) {
              echo $form->field($comment_model, 'username', [ 'options' => [ 'class' => 'form-group input_bl' ] ])
                        ->textInput()->label(\Yii::t('app', 'Имя'));
              echo $form->field($comment_model, 'email', [ 'options' => [ 'class' => 'form-group input_bl' ] ])
                        ->textInput([ 'options' => [ 'class' => 'form-control' ] ])->label('Email');
          }
          echo $form->field($comment_model, 'text', [ 'options' => [ 'class' => 'form-group input_bl area_bl' ] ])
                    ->textarea()->label(\Yii::t('app', 'Сообщение'));
          echo Html::tag(
              'div',
              Html::submitButton(
                Yii::t('app', '<i class="fa fa-comment-o"></i> Отправить')
              ),
              [ 'class' => 'input_bl submit_btn' ]
          );
      ?>
  </div>
<?php
    ActiveForm::end();
?>