<?php
    use artbox\core\components\SeoComponent;
    use artbox\core\models\Image;
    use artbox\core\models\Page;
    use artbox\core\models\PageCategory;
    use yii\helpers\Html;
    use yii\web\View;
    
    /**
     * @var View           $this
     * @var Page           $model
     * @var PageCategory[] $categories
     * @var SeoComponent   $seo
     * @var Image[]        $images
     * @var string         $lefts
     * @var string         $body
     */
    $seo = \Yii::$app->get('seo');
    $this->params[ 'breadcrumbs' ][] = $seo->h1;
?>

<div id="content">
  <div class="container">
    
    <div class="row">
      
      <!-- *** LEFT COLUMN ***
_________________________________________________________ -->
      <div class="col-md-9 clearfix">
        <section>
          <div id="text-page" class="lead">
              
              <?= $body ?>
          
          </div>
        </section>
          
          <?php if (!empty($images) && !empty($lefts)) { ?>
            <section>
              <div class="project owl-carousel">
                  
                  <?php foreach ($images as $image) { ?>
                    <div class="item">
                      <img class="img-responsive" src="<?= $image->getUrl() ?>" alt="">
                    </div>
                  <?php } ?>
              
              </div>
              <!-- /.project owl-slider -->
            </section>
            
            <section>
              <div id="text-page">
                  
                  <?= $lefts ?>
              
              </div>
            </section>
          <?php } ?>
      
      </div>
      <!-- /.col-md-9 -->
      
      <!-- *** LEFT COLUMN END *** -->
      
      <!-- *** RIGHT COLUMN ***
  _________________________________________________________ -->
      
      <div class="col-sm-3">
        <!-- *** PAGES MENU ***
_________________________________________________________ -->
        <div class="panel panel-default sidebar-menu">
            
            <?php foreach ($categories as $category) {
                if (!empty($category->pages)) {
                    ?>
                  
                  <div class="panel-heading">
                    <h3 class="panel-title"><?=$category->lang->title?></h3>
                  </div>
                  
                  <div class="panel-body">
                    <ul class="nav nav-pills nav-stacked">
                        <?php
                            foreach ($category->pages as $page) {
                                echo Html::tag(
                                    'li',
                                    Html::a(
                                        $page->lang->title,
                                        [
                                            'page/view',
                                            'id' => $page->id,
                                        ]
                                    )
                                );
                            }
                        ?>
                    </ul>
                  
                  </div>
                <?php }
            } ?>
        </div>
        
        <!-- *** PAGES MENU END *** -->
          
          <?php /*
        <div class="banner">
          <a href="shop-category.html">
            <img src="/img/banner.jpg" alt="sales 2014" class="img-responsive">
          </a>
        </div>
        */ ?>
        <!-- /.banner -->
      </div>
      <!-- /.col-md-3 -->
      
      <!-- *** RIGHT COLUMN END *** -->
    
    
    </div>
    <!-- /.row -->
  
  </div>
  <!-- /.container -->
</div>
<!-- /#content -->


<div id="get-it" class="pages">
  <div class="container">
    <div class="col-md-12 col-sm-12" style="text-align: center;">
      <a href="#" class="btn bnm btn-template-transparent-primary modal-link" data-form="appointment-modal" data-modalname="<?=\Yii::t('app', 'Записаться на приём')?>"><?=\Yii::t('app', 'Записаться на приём')?></a>
    </div>
  </div>
</div>