<?php
    
    use artbox\core\helpers\ImageHelper;
    use common\models\Persone;
    use yii\helpers\Url;
    use yii\web\View;
    
    /**
     * @var View    $this
     * @var Persone $model
     */

?>

<div class="col-md-3 col-sm-3">
  <div class="team-member" data-animate="fadeInUp">
    <div class="image">
      <a href="<?= Url::to(
          [
              'persone/view',
              'alias' => $model->lang->alias,
          ]
      ) ?>">
          <?= ImageHelper::set($model->image->getPath())
                         ->cropResize(263, 263)
                         ->renderImage(
                             [
                                 'class' => 'img-responsive img-circle',
                                 'alt'   => $model->lang->title,
                             ]
                         ) ?>
      </a>
    </div>
    <h3><a href="<?= Url::to(
            [
                'persone/view',
                'alias' => $model->lang->alias,
            ]
        ) ?>"><?= $model->lang->title ?></a></h3>
    <!--    <p class="role">Founder</p>-->
    <div class="social">
        <?php if (!empty($model->facebook)) { ?>
          <a href="<?= $model->facebook ?>" class="external facebook" data-animate-hover="pulse" target="_blank"><i class="fa fa-facebook"></i></a>
            <?php
        }
            if (!empty($model->instagram)) {
                ?>
              <a href="<?= $model->instagram ?>" class="external gplus" data-animate-hover="pulse" target="_blank"><i class="fa fa-instagram"></i></a>
            <?php } ?>
    </div>
    <div class="text">
      <p><?= $model->lang->preview ?></p>
    </div>
  </div>
  <!-- /.team-member -->
</div>
