<?php
use artbox\core\components\SeoComponent;
use yii\web\View;

/**
 * @var View $this
 */
/**
 * @var SeoComponent $seo
 */
$seo = \Yii::$app->get('seo');
$this->title = \Yii::t('app', 'Записаться на приём');
$this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="container appment-page">
    <section>
        <div class="col-md-12">
            <div class="heading text-center">
                <h2><?=$this->title?></h2>
            </div>
            <div class="col-md-8 col-md-offset-2">
                <div class="forms_wr">
                    <div class="modal-body">

                        <form id="appointment-form" action="/site/appointment" method="POST" role="form">
                            <div class="form-group field-appointment-name">
                                <div class="on_input_"></div>
                                <label class="control-label" for="appointment-name"><?=\Yii::t('app', 'Имя')?></label>
                                <input type="text" id="appointment-name" class="form-control" name="Appointment[name]" aria-invalid="false">

                                <p class="help-block help-block-error"></p>
                            </div>
                            <div class="form-group field-appointment-name required">
                                <div class="on_input_"></div>
                                <label class="control-label" for="appointment-name"><?=\Yii::t('app', 'Номер телефона')?></label>
                                <input type="text" id="appointment-phone" class="form-control" name="Appointment[phone]">

                                <p class="help-block help-block-error"></p>
                            </div>
                            <div class="form-group field-appointment-date required has-datepicker2">
                                <div class="on_input_"></div>
                                <label class="control-label" for="appointment-date"><?=\Yii::t('app', 'Дата')?></label>
                                <input type="text" id="appointment-date" class="form-control" name="Appointment[date]">

                                <p class="help-block help-block-error"></p>
                            </div>
                            <div class="datepicker-wr2">
                                <div id="datepicker2"></div>
                            </div>
                            <div class="form-group field-appointment-time">
                                <div class="on_input_"></div>
                                <label class="control-label" for="appointment-service"><?=\Yii::t('app', 'Время')?></label>
                                <input type="text" id="appointment-time" class="form-control" name="Appointment[time]">

                                <p class="help-block help-block-error"></p>
                            </div>
                            <div class="form-group field-appointment-service">
                                <div class="on_input_"></div>
                                <label class="control-label" for="appointment-service"><?=\Yii::t('app', 'Услуга')?></label>
                                <input type="text" id="appointment-service" class="form-control" name="Appointment[service]">

                                <p class="help-block help-block-error"></p>
                            </div>
                            <p class="text-center">
                                <button type="submit" class="send-form btn btn-lg btn-template-primary"><?=\Yii::t('app', 'Отправить')?></button>
                            </p>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
